#include<bits/stdc++.h>

using namespace std;

int cif(int a)
{	
	int k=0;
	if(a==0) k=1;
	while(a>0)
	{
		a/=10;k++;
	}
	return k;
}

int deset(int a,int k)
{	
	while(k>0)
	{a=a*10;
	k--;
	}
}


int main()
{
	int a,b,c,i,x[7],pa,pb,pc,px;
	scanf("%d%d%d",&a,&b,&c);
	pa=cif(a);
	pb=cif(b);
	pc=cif(c);
	px=pa+pb+pc;
	
	
	x[1]=deset(a,pb+pc)+deset(b,pc)+c;printf("%d\n",x[1]);
	x[2]=deset(a,pb+pc)+deset(c,pb)+b;printf("%d\n",x[2]);
	x[3]=deset(b,pa+pc)+deset(a,pc)+c;printf("%d\n",x[3]);
	x[4]=deset(b,pa+pc)+deset(c,pa)+a;printf("%d\n",x[4]);
	x[5]=deset(c,pa+pb)+deset(a,pb)+b;printf("%d\n",x[5]);
	x[6]=deset(c,pb+pa)+deset(b,pa)+a;printf("%d\n",x[6]);
	int y=x[0];
	for(i=1;i<6;i++)
	{
		y=max(y,x[i]);
	}
	printf("%d",y);
}